Get Whatsapp signup session status
Retrieve the current state and status of a WhatsApp Embedded Signup session.
GET
/
whatsapp
/
signup
/
{id}
/
status
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.whatsapp.signup.retrieveStatus('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.whatsapp.signup.retrieve_status(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Whatsapp.Signup.GetStatus(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.whatsapp().signup().retrieveStatus("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.whatsapp.signup.retrieve_status("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->whatsapp->signup->retrieveStatus(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:signup retrieve-status \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/whatsapp/signup/{id}/status \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "whatsapp_session_id",
"session_id": "019f4253-e09a-7622-bc6f-625378711d78",
"user_id": "00000000-0000-4000-8000-000000000000",
"state": "SHARE_CREDIT_LINE",
"status": "FAILURE",
"created_at": "2026-10-01T09:58:25Z",
"updated_at": "2026-10-01T09:58:27Z",
"waba_id": "123456789012345",
"customer_id": "acme-corp-42",
"errors": [
"[ShareCreditLine] Bad status received: Invalid parameter Credit Allocation Not Allowed During Month-End Close: This WhatsApp Business Account cannot be moved onto a credit line while the monthly billing close is running. Please try again once the close has completed, usually within the first few days of the month."
]
}
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found"
}
]
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.whatsapp.signup.retrieveStatus('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.whatsapp.signup.retrieve_status(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Whatsapp.Signup.GetStatus(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.whatsapp().signup().retrieveStatus("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.whatsapp.signup.retrieve_status("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->whatsapp->signup->retrieveStatus(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:signup retrieve-status \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/whatsapp/signup/{id}/status \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "whatsapp_session_id",
"session_id": "019f4253-e09a-7622-bc6f-625378711d78",
"user_id": "00000000-0000-4000-8000-000000000000",
"state": "SHARE_CREDIT_LINE",
"status": "FAILURE",
"created_at": "2026-10-01T09:58:25Z",
"updated_at": "2026-10-01T09:58:27Z",
"waba_id": "123456789012345",
"customer_id": "acme-corp-42",
"errors": [
"[ShareCreditLine] Bad status received: Invalid parameter Credit Allocation Not Allowed During Month-End Close: This WhatsApp Business Account cannot be moved onto a credit line while the monthly billing close is running. Please try again once the close has completed, usually within the first few days of the month."
]
}
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found"
}
]
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}